#![allow(unused_variables)]

use core::ffi::{c_char, c_int};

#[allow(non_camel_case_types, clippy::upper_case_acronyms)]
pub enum DIR {}

#[allow(non_camel_case_types)]
#[repr(C)]
pub struct dirent {
    // Not implemented
}

#[unsafe(no_mangle)]
pub unsafe extern "C" fn __xkbc_opendir(name: *const c_char) -> *mut DIR {
    todo!()
}

#[unsafe(no_mangle)]
pub unsafe extern "C" fn __xkbc_readdir(dirp: *mut DIR) -> *mut dirent {
    todo!()
}

#[unsafe(no_mangle)]
pub unsafe extern "C" fn __xkbc_closedir(dirp: *mut DIR) -> c_int {
    todo!()
}
